Package org.drinkless.tdlib

# Class TdApi.GetDeepLinkInfo

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.DeepLinkInfo>
org.drinkless.tdlib.TdApi.GetDeepLinkInfo

Enclosing class:
  TdApi

public static class TdApi.GetDeepLinkInfo extends TdApi.Function<TdApi.DeepLinkInfo>
Returns information about a tg:// deep link. Use "tg://need_update_for_some_feature" or "tg:someUnsupportedFeature" for testing. Returns a 404 error for unknown links. Can be called before authorization.

Returns `DeepLinkInfo`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `link`
  The link.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetDeepLinkInfo()`
  Default constructor for a function, which returns information about a tg:// deep link.
  `GetDeepLinkInfo(String link)`
  Creates a function, which returns information about a tg:// deep link.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### link

    public String link
    The link.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetDeepLinkInfo

    public GetDeepLinkInfo()
    Default constructor for a function, which returns information about a tg:// deep link. Use "tg://need_update_for_some_feature" or "tg:someUnsupportedFeature" for testing. Returns a 404 error for unknown links. Can be called before authorization.

    Returns `DeepLinkInfo`

  - ### GetDeepLinkInfo

    public GetDeepLinkInfo(String link)
    Creates a function, which returns information about a tg:// deep link. Use "tg://need_update_for_some_feature" or "tg:someUnsupportedFeature" for testing. Returns a 404 error for unknown links. Can be called before authorization.

    Returns `DeepLinkInfo`

    Parameters:
      `link` - The link.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.DeepLinkInfo>`
    Returns:
      this.CONSTRUCTOR